package eu.mhsl.minenet.minigames.instance.game.stateless.types.bowSpleef;

import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class BowSpleefFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("");
    }

    @Override
    public Material symbol() {
        return Material.BOW;
    }

    @Override
    public StatelessGame manufacture(Map<String, Option<?>> configuration) throws Exception {
        return new BowSpleef();
    }
}
